var iid,winduid,page=0,scrollTop=0,limit=10;

apiready = function(){
    iid = api.pageParam.iid;
	winduid = $api.getStorage('m_shopid');
	
    render();
    setRefreshHeader(); //顶部拉
};
function render(){
    api.showProgress();
    getData();
    api.parseTapmode();
    api.hideProgress();
}
function goPage(p){
	page = p; //重置page
    //$api.setStorage('scrollTop', 0); //重置scrollTop
	scrollTop = 0;
    api.showProgress();
    getData();
    api.parseTapmode();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
	if (!iid) {
		api.alert({
			msg:('id不能为空')
		});
		api.hideProgress();
	}
	
	var param = {
		iid: iid,
	};
	var paramStr = $.param(param);
	
    ajaxRequest('/Api2/BizInsurance/detail?'+paramStr, 'get', '', function(ret, err){
        if(ret.status == 0){
			var data = ret.data;
			infoCallBack(data.info);
        }else{
			showTipMsg(ret.msg);
        };
    });
}
//服务解析
function infoCallBack(data){
	var content = $api.byId('info-content');
	var tpl = $api.byId('info-template').text;
	var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));
}
//报价
function doOffer(){
    winduid = $api.getStorage('m_shopid');
	if(!winduid){
		openLogin();
		return;
	}
	var ciphertext = encryptByDES(winduid, desKey, desIv);
	
	var p_strong = $('#p_strong').val();
	var p_travel = $('#p_travel').val();
	var p_damage = $('#p_damage').val();
	var p_damage_b = $('#p_damage_b').val();
	var p_third = $('#p_third').val();
	var p_third_b = $('#p_third_b').val();
	var p_driver = $('#p_driver').val();
	var p_driver_b = $('#p_driver_b').val();
	var p_passenger = $('#p_passenger').val();
	var p_passenger_b = $('#p_passenger_b').val();
	var p_stolen = $('#p_stolen').val();
	var p_stolen_b = $('#p_stolen_b').val();
	var p_scratch = $('#p_scratch').val();
	var p_ziran = $('#p_ziran').val();
	var p_water = $('#p_water').val();
	var p_fujia_b = $('#p_fujia_b').val();
	var p_boli = $('#p_boli').val();
	var p_daoche = $('#p_daoche').val();
	var p_daoche_b = $('#p_daoche_b').val();

	var remark_biz = $('#remark_biz').val();
	var mobile_biz = $('#mobile_biz').val();
	
	var bao_type = $("input[name='bao_type']:checked").val();
	var xiao_type = $("input[name='xiao_type']:checked").val();
	
	var param = {
		des: ciphertext,
		iid: iid,
		p_strong: p_strong,
		p_travel: p_travel,
		p_damage: p_damage,
		p_damage_b: p_damage_b,
		p_third: p_third,
		p_third_b: p_third_b,
		p_driver: p_driver,
		p_driver_b: p_driver_b,
		p_passenger: p_passenger,
		p_passenger_b: p_passenger_b,
		p_stolen: p_stolen,
		p_stolen_b: p_stolen_b,
		p_scratch: p_scratch,
		p_ziran: p_ziran,
		p_water: p_water,
		p_fujia_b: p_fujia_b,
		p_boli: p_boli,
		p_daoche: p_daoche,
		p_daoche_b: p_daoche_b,
		remark_biz: remark_biz,
		mobile_biz: mobile_biz,
		bao_type: bao_type,
		xiao_type: xiao_type,
	};

    ajaxRequest('/Api2/BizInsurance/doOffer', 'post', param, function(ret, err){
        if(ret.status == 0){
			api.alert({
				msg: ret.msg
			}, function () {
				setTimeout(function(){
					api.execScript({
						name: 'insurance',
						frameName: 'insurance-con',
						script: 'getData();'
					});
					api.closeWin();
				}, 100);
			});
        }else{
			showTipMsg(ret.msg);
        };
    });
}
//$('input.J_calculate').click(function(e){
function calculate(){
	var p_strong = parseFloat($('#p_strong').val());
	var p_travel = parseFloat($('#p_travel').val());
	var p_damage = parseFloat($('#p_damage').val());
	var p_damage_b = parseFloat($('#p_damage_b').val());
	var p_third = parseFloat($('#p_third').val());
	var p_third_b = parseFloat($('#p_third_b').val());
	var p_driver = parseFloat($('#p_driver').val());
	var p_driver_b = parseFloat($('#p_driver_b').val());
	var p_passenger = parseFloat($('#p_passenger').val());
	var p_passenger_b = parseFloat($('#p_passenger_b').val());
	var p_stolen = parseFloat($('#p_stolen').val());
	var p_stolen_b = parseFloat($('#p_stolen_b').val());
	var p_scratch = parseFloat($('#p_scratch').val());
	var p_ziran = parseFloat($('#p_ziran').val());
	var p_water = parseFloat($('#p_water').val());
	var p_fujia_b = parseFloat($('#p_fujia_b').val());
	var p_boli = parseFloat($('#p_boli').val());
	var p_daoche = parseFloat($('#p_daoche').val());
	var p_daoche_b = parseFloat($('#p_daoche_b').val());

	if(!p_strong)p_strong=0;
	if(!p_travel)p_travel=0;
	if(!p_damage)p_damage=0;
	if(!p_damage_b)p_damage_b=0;
	if(!p_third)p_third=0;
	if(!p_third_b)p_third_b=0;
	if(!p_driver)p_driver=0;
	if(!p_driver_b)p_driver_b=0;
	if(!p_passenger)p_passenger=0;
	if(!p_passenger_b)p_passenger_b=0;
	if(!p_stolen)p_stolen=0;
	if(!p_stolen_b)p_stolen_b=0;
	if(!p_scratch)p_scratch=0;
	if(!p_ziran)p_ziran=0;
	if(!p_water)p_water=0;
	if(!p_fujia_b)p_fujia_b=0;
	if(!p_boli)p_boli=0;
	if(!p_daoche)p_daoche=0;
	if(!p_daoche_b)p_daoche_b=0;

	var num = accAdd(p_strong, p_travel);
	num = accAdd(num, p_damage);
	num = accAdd(num, p_damage_b);
	num = accAdd(num, p_third);
	num = accAdd(num, p_third_b);
	num = accAdd(num, p_driver);
	num = accAdd(num, p_driver_b);
	num = accAdd(num, p_passenger);
	num = accAdd(num, p_passenger_b);
	num = accAdd(num, p_stolen);
	num = accAdd(num, p_stolen_b);
	num = accAdd(num, p_scratch);
	num = accAdd(num, p_ziran);
	num = accAdd(num, p_water);
	num = accAdd(num, p_fujia_b);
	num = accAdd(num, p_boli);
	num = accAdd(num, p_daoche);
	num = accAdd(num, p_daoche_b);
	price = num;
	$('#price').html(price);
}