var orderId,winduid,page=0;

apiready = function(){
    orderId = api.pageParam.orderId;
	if (!orderId) {
		api.alert({
			msg:('订单ID不能为空')
		});
	}

	winduid = $api.getStorage('m_shopid');

    render();
    setRefreshHeader(); //顶部拉
};
function render(){
    api.showProgress();
    getData();
    api.parseTapmode();
    api.hideProgress();
}
function setRefreshHeader(){
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
	if (!orderId) {
		api.alert({
			msg:('orderId不能为空')
		});
		api.hideProgress();
	}

	var windshopid = $api.getStorage('m_shopid');
	if(!windshopid){
		openLogin();
		return;
	}
	var ciphertext = encryptByDES(windshopid, desKey, desIv);

	var param = {
		des_m: ciphertext,
		orderId: orderId,
	};

	ajaxRequest(API_URL.bizOrderDetail, 'get', param, function(ret, err){
        if(ret.status == 0){
			var data = ret.data;

			dataCallBack(data); //解析数据
        }else{
			showTipMsg(ret.msg);
        };
    });
}
//订单信息解析
function dataCallBack(data){
	var content = $api.byId('data-content');
	var tpl = $api.byId('data-template').text;
	var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));

	orderInfo = data.orderInfo;
	orderTitle = orderInfo.title;
	$api.html($api.byId('J_goodsPrice'), orderInfo.goods_price);
	$api.html($api.byId('J_couponPrice'), -orderInfo.coupon_price);
	$api.html($api.byId('J_totalFee'), orderInfo.total_fee);
	$api.html($api.byId('J_totalFee_bottom'), orderInfo.total_fee);

	if(orderInfo.biz_status == 1){ //商户是否已经确认
		$api.removeCls($api.byId('J_confirm_wrap'), 'aui-hidden');
	}else{
		$api.addCls($api.byId('J_confirm_wrap'), 'aui-hidden');
	}
}
//删除订单
function doDelete(){
	myDialogBox('确认删除订单吗', function(){
	    winduid = $api.getStorage('m_shopid');
		if(!winduid){
			openLogin();
			return;
		}

		var ciphertext = encryptByDES(winduid, desKey, desIv);

		var param = {
			des_m: ciphertext,
			orderId: orderId,
		};

		ajaxRequest(API_URL.bizOrderDelete, 'post', param, function(ret, err){
	        if(ret.status == 0){
				showSuccess(ret.msg);

				setTimeout(function(){
					api.execScript({
						name: 'order',
						frameName: 'order-con',
						script: 'render();'
					});
					api.closeWin();
				}, 100);
	        }else{
				showTipMsg(ret.msg);
	        };
	    });
	});
}
//确认完成订单
function doConfirm(){
	myDialogBox('确认完成订单吗', function(){
	    winduid = $api.getStorage('m_shopid');
		if(!winduid){
			openLogin();
			return;
		}

		var ciphertext = encryptByDES(winduid, desKey, desIv);

		var param = {
			des_m: ciphertext,
			orderId: orderId,
		};

		ajaxRequest(API_URL.bizOrderConfirm, 'post', param, function(ret, err){
	        if(ret.status == 0){
				showSuccess(ret.msg);

				setTimeout(function(){
					render();
					api.execScript({
						name: 'order',
						frameName: 'order-con',
						script: 'render();'
					});
				}, 100);
	        }else{
				showTipMsg(ret.msg);
	        };
	    });
	});
}
//分享
function shareTopic(){
    api.openFrame({
        name: 'share',
        url: 'share.html',
        pageParam: {tid: tid, subject:subject},
        rect:{
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bounces: true,
        vScrollBarEnabled: false
    });
}