
var winName = 'userRegister';

apiready = function(){
    var header = $api.byId('aui-header');
    $api.fixStatusBar(header);
};

function getCode(){
	var mobile = $api.byId('mobile').value;
	var param = {
		mobile: mobile,
	};

	ajaxRequest(API_URL.regSms, 'get', param, function(ret, err){
        if (ret.status == 0) {
			showSuccess(ret.msg);
        } else {
	        showTipMsg(ret.msg);
        }
    })
}
function doSubmit(){
    api.showProgress({
        title: '正在提交注册...',
        modal: false
    });
    var mobile = $api.byId('mobile').value;
    var code = $api.byId('code').value;
    var password = $api.byId('password').value;
    var repeatpwd = $api.byId('repeatpwd').value;
    var shopname = $api.byId('shopname').value;

    var param = {
        mobile: mobile,
        code: code,
        password: password,
        repeatpwd: repeatpwd,
        shopname: shopname,
    };

	ajaxRequest(API_URL.doRegister, 'post', param, function(ret, err){
        if (ret.status == 0) {
        	var data = ret.data;
			var shopid = data.shopid;

			//cookie uid
            $api.setStorage('m_shopid', shopid);
            $api.setStorage('m_shopname', shopname);

			showSuccess(ret.msg);

			setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'main-con',
					script: 'render();'
				});
				api.closeWin();
			}, 1000);
        } else {
			showTipMsg(ret.msg);
        }
        api.hideProgress();
    })
}