var fid,pay_status,biz_status,page=1,limit=10;
apiready = function(){
    fid = api.pageParam.fid;

    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function filterOrders(value1, value2){
    var tabnav = $api.byId('aui-tab-nav');
    var navAct = $api.dom(tabnav, 'li.active');
    $api.removeCls(navAct, 'active');

    if(value2==0){
        $api.addCls($api.byId('tabbar0'), 'active');
    }else if(value2==1){
        $api.addCls($api.byId('tabbar1'), 'active');
    }else if(value2==2){
        $api.addCls($api.byId('tabbar2'), 'active');
    }

	page = 1;
	pay_status = value1;
	biz_status = value2;

    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p){
	page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
		page++;
		getData();
    });
}
function getData(){
	var windshopid = $api.getStorage('m_shopid');
	if(!windshopid){
		openLogin();
		return;
	}
	var ciphertext = encryptByDES(windshopid, desKey, desIv);

	var param = {
		des_m: ciphertext,
	};

	if(page){
		param.p = page;
	}

	if(pay_status){
		param.pay_status = pay_status;
	}

	if(biz_status){
		param.biz_status = biz_status;
	}

	ajaxRequest(API_URL.bizOrderList, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			listCallBack(data.list); //解析列表

			//分页
// 			if(data.total){
// 				pageCallBack(data.total);
// 			}
        }else{
			showTipMsg(ret.msg);
        };
    });
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
		$api.html(content,tempFn(data));
    } else {
		$api.append(content,tempFn(data));
    }
}
function openOrderDetail(orderId){
    api.openWin({
        name: 'orderDetail',
        url: 'orderDetail.html',
        pageParam: {orderId: orderId}
    });
}